varying vec2 v_texCoord;
varying vec4 v_fragmentColor;

uniform sampler2D u_noise;
uniform vec2 u_scroll;

void main()
{
	vec2 noiseuv = v_texCoord * 0.333333343  + u_scroll;
	vec4 noise = texture2D(u_noise,noiseuv);
	vec2 mainuv = noise.xy * 0.200000003 + v_texCoord;
	vec2 r1 = mainuv - 0.649999976;
	float a = 1.0 - clamp(dot(r1,r1) * 4.0,0.0,1.0);
	mainuv = mainuv - 0.150000006;
	vec4 col = texture2D(CC_Texture0,mainuv);
	col.a = col.a * a;
    gl_FragColor = col * v_fragmentColor;
}