varying vec2 v_texCoord;
varying vec4 v_fragmentColor;

uniform vec4 w1;
uniform vec4 w2;

void main()
{
	vec2 coord = v_texCoord;
	float iy = v_texCoord.y;

	coord.y = iy + 0.006;
    vec4 col = texture2D(CC_Texture0,coord) * w1.y;
    coord.y = iy + 0.0;
    col = texture2D(CC_Texture0,coord) * w1.x + col;
    coord.y = iy - 0.006;
    col = texture2D(CC_Texture0,coord) * w1.y + col;

    coord.y = iy + 0.014;
    col = texture2D(CC_Texture0,coord) * w1.z + col;
    coord.y = iy - 0.014;
    col = texture2D(CC_Texture0,coord) * w1.z + col;

    coord.y = iy + 0.021;
    col = texture2D(CC_Texture0,coord) * w1.w + col;
    coord.y = iy - 0.021;
    col = texture2D(CC_Texture0,coord) * w1.w + col;

    coord.y = iy + 0.029;
    col = texture2D(CC_Texture0,coord) * w2.x + col;
    coord.y = iy - 0.029;
    col = texture2D(CC_Texture0,coord) * w2.x + col;

    coord.y = iy + 0.037;
    col = texture2D(CC_Texture0,coord) * w2.y + col;
    coord.y = iy - 0.037;
    col = texture2D(CC_Texture0,coord) * w2.y + col;

    coord.y = iy + 0.045;
    col = texture2D(CC_Texture0,coord) * w2.z + col;
    coord.y = iy - 0.045;
    col = texture2D(CC_Texture0,coord) * w2.z + col;

    coord.y = iy + 0.053;
    col = texture2D(CC_Texture0,coord) * w2.w + col;
    coord.y = iy - 0.053;
    col = texture2D(CC_Texture0,coord) * w2.w + col;
    
    gl_FragColor = col;
}