varying vec2 v_texCoord;
varying vec4 v_fragmentColor;

uniform float u_BloomThreshold;

void main()
{
	float scale = 1.0 - u_BloomThreshold;
	scale = 1.0 / scale;
	vec4 baseColor = texture2D(CC_Texture0,v_texCoord);
	baseColor = baseColor - u_BloomThreshold;
	gl_FragColor = clamp(baseColor * scale,0.0,1.0);
}