varying vec2 v_texCoord;
varying vec4 v_fragmentColor;

uniform float _Radius;

void main()
{
	vec4 color = texture2D(CC_Texture0,v_texCoord); 
	vec2 d1 = v_texCoord - 0.5;
	float distance = dot(d1,d1) * 4.0 - _Radius;

	if (distance <= 0.0)
		discard;

	color.a = distance * v_fragmentColor.a;
	color.rgb = color.rgb * v_fragmentColor.rgb;
	gl_FragColor = color;
}