
varying vec2 v_texCoord;
varying vec4 v_fragmentColor;

uniform vec4 p1;
uniform vec4 p2;
uniform vec4 p3;

void main()
{
    vec4 col = texture2D(CC_Texture0, v_texCoord);
    vec3 rgb = col.xyz;
    col.x = dot(rgb,vec3(p1.x,p1.y,p1.z));
    col.y = dot(rgb,vec3(p1.w,p2.x,p2.y));
    col.z = dot(rgb,vec3(p2.z,p2.w,p3.x));
	
    gl_FragColor = col;
}